<style>
    form {
        padding: 5px;
    }

    mat-form-field {
        width: 300px;
    }
</style>

<button
    mat-raised-button
    routerLink="/karte">
        back
</button>

<section
    fxLayout="column"
    fxLayoutAlign="center center">
    <h2>Update karta</h2>
    <hr>
    <form
        fxLayout="column"
        fxLayoutAlign="center center"
        (ngSubmit)="f.valid && onSubmit(f)"
        #f="ngForm">

            <mat-form-field>
                <mat-label>cena</mat-label>
                <input 
                    matInput
                    type="number"
                    [(ngModel)]="this.karta.cena"
                    name="cena"
                    min="0"
                    required>
            </mat-form-field>

            <mat-form-field>
                <mat-label>projekcija</mat-label>
                <mat-select [(ngModel)]="this.karta.projekcijaId" name="projekcijaId" required>
                  <mat-option *ngFor="let projekcija of projekcije" [value]="projekcija.id">
                    {{projekcija.id}}
                  </mat-option>
                </mat-select>
            </mat-form-field>

            <button
                mat-button
                type="submit"
                [disabled]="!f.valid">
                    Submit
            </button>
    </form>
</section>